Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.broker
Class RDF_SemanticBroker

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.broker.RDF_SemanticBroker

public class RDF_SemanticBroker
extends java.lang.Object

Nested Class Summary
`class` | `RDF_SemanticBroker.RDF_ResourceComparator`

Constructor Summary
`RDF_SemanticBroker(gr.forth.ics.vrp.corevrp.model.Model mdl, gr.forth.ics.vrp.corevrp.validator.RDF_Validator validator)`

Method Summary
`java.util.Collection` | `getAllClasses(boolean sorted)`
`java.util.Collection` | `getAllProperties(boolean sorted)`
`java.util.Collection` | `getAllResources(boolean sorted)`
`java.util.Collection` | `getClassesOfMetaclass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls, boolean sorted)`
`gr.forth.ics.vrp.corevrp.model.RDF_Class` | `getClassTypeOfProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop)`
`java.util.Collection` | `getClassTypes(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc, boolean sorted)`
`java.util.Collection` | `getDomainOfProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop, boolean transitive, boolean sorted)`
`java.util.Collection` | `getInstanceResources(gr.forth.ics.vrp.corevrp.model.RDF_Class cls, boolean transitive, boolean sorted)`
`java.lang.String` | `getLabelFor(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)`
`java.util.HashMap` | `getLinksWithObject(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)`
`java.util.HashMap` | `getLinksWithSubject(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)`
`gr.forth.ics.vrp.corevrp.model.RDF_Class` | `getMetaClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`java.lang.String` | `getNamespaceInfor()`
`java.util.Collection` | `getPropertiesOfClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls, boolean sorted)`
`java.util.Collection` | `getPropertiesWithDomain(gr.forth.ics.vrp.corevrp.model.RDF_Class cls, boolean transitive)`
`java.util.Collection` | `getPropertiesWithRange(gr.forth.ics.vrp.corevrp.model.RDF_Class cls, boolean transitive)`
`java.util.Collection` | `getRangeOfProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop, boolean transitive, boolean sorted)`
`gr.forth.ics.vrp.corevrp.model.RDF_Resource` | `getResourceByID(java.lang.String id)`
`java.util.Collection` | `getRootClasses(boolean sorted)`
`java.util.Collection` | `getRootProperties(boolean sorted)`
`java.util.Collection` | `getSubClasses(gr.forth.ics.vrp.corevrp.model.RDF_Class cls, boolean transitive, boolean sorted)`
`java.util.Collection` | `getSubProperties(gr.forth.ics.vrp.corevrp.model.RDF_Property prop, boolean transitive, boolean sorted)`
`java.util.Collection` | `getSuperClasses(gr.forth.ics.vrp.corevrp.model.RDF_Class cls, boolean transitive, boolean sorted)`
`java.util.Collection` | `getSuperProperties(gr.forth.ics.vrp.corevrp.model.RDF_Property prop, boolean transitive, boolean sorted)`
`boolean` | `isAttributeClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`boolean` | `isBasicResource(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)`
`boolean` | `isContainerClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`boolean` | `isLeafClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`boolean` | `isLeafProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop)`
`boolean` | `isMetaClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`boolean` | `isPropertyClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`boolean` | `isRootClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`boolean` | `isRootProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop)`
`boolean` | `isSchemaClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`
`boolean` | `isStatementClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDF_SemanticBroker

    public RDF_SemanticBroker(gr.forth.ics.vrp.corevrp.model.Model mdl,
                              gr.forth.ics.vrp.corevrp.validator.RDF_Validator validator)

Method Detail

### getResourceByID

    public gr.forth.ics.vrp.corevrp.model.RDF_Resource getResourceByID(java.lang.String id)

### getAllClasses

    public java.util.Collection getAllClasses(boolean sorted)

### getMetaClass

    public gr.forth.ics.vrp.corevrp.model.RDF_Class getMetaClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### getSubClasses

    public java.util.Collection getSubClasses(gr.forth.ics.vrp.corevrp.model.RDF_Class cls,
                                              boolean transitive,
                                              boolean sorted)

### getSuperClasses

    public java.util.Collection getSuperClasses(gr.forth.ics.vrp.corevrp.model.RDF_Class cls,
                                                boolean transitive,
                                                boolean sorted)

### getRootClasses

    public java.util.Collection getRootClasses(boolean sorted)

### isRootClass

    public boolean isRootClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### isLeafClass

    public boolean isLeafClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### isMetaClass

    public boolean isMetaClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### isPropertyClass

    public boolean isPropertyClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### isContainerClass

    public boolean isContainerClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### isStatementClass

    public boolean isStatementClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### isSchemaClass

    public boolean isSchemaClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### getInstanceResources

    public java.util.Collection getInstanceResources(gr.forth.ics.vrp.corevrp.model.RDF_Class cls,
                                                     boolean transitive,
                                                     boolean sorted)

### getClassesOfMetaclass

    public java.util.Collection getClassesOfMetaclass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls,
                                                      boolean sorted)

### getPropertiesOfClass

    public java.util.Collection getPropertiesOfClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls,
                                                     boolean sorted)

### getPropertiesWithDomain

    public java.util.Collection getPropertiesWithDomain(gr.forth.ics.vrp.corevrp.model.RDF_Class cls,
                                                        boolean transitive)

### getPropertiesWithRange

    public java.util.Collection getPropertiesWithRange(gr.forth.ics.vrp.corevrp.model.RDF_Class cls,
                                                       boolean transitive)

### getAllProperties

    public java.util.Collection getAllProperties(boolean sorted)

### getRangeOfProperty

    public java.util.Collection getRangeOfProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop,
                                                   boolean transitive,
                                                   boolean sorted)

### getDomainOfProperty

    public java.util.Collection getDomainOfProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop,
                                                    boolean transitive,
                                                    boolean sorted)

### getSubProperties

    public java.util.Collection getSubProperties(gr.forth.ics.vrp.corevrp.model.RDF_Property prop,
                                                 boolean transitive,
                                                 boolean sorted)

### getSuperProperties

    public java.util.Collection getSuperProperties(gr.forth.ics.vrp.corevrp.model.RDF_Property prop,
                                                   boolean transitive,
                                                   boolean sorted)

### getClassTypeOfProperty

    public gr.forth.ics.vrp.corevrp.model.RDF_Class getClassTypeOfProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop)

### getRootProperties

    public java.util.Collection getRootProperties(boolean sorted)

### isRootProperty

    public boolean isRootProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop)

### isLeafProperty

    public boolean isLeafProperty(gr.forth.ics.vrp.corevrp.model.RDF_Property prop)

### getAllResources

    public java.util.Collection getAllResources(boolean sorted)

### getClassTypes

    public java.util.Collection getClassTypes(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc,
                                              boolean sorted)

### getLinksWithSubject

    public java.util.HashMap getLinksWithSubject(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)

### getLinksWithObject

    public java.util.HashMap getLinksWithObject(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)

### isBasicResource

    public boolean isBasicResource(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)

### isAttributeClass

    public boolean isAttributeClass(gr.forth.ics.vrp.corevrp.model.RDF_Class cls)

### getLabelFor

    public java.lang.String getLabelFor(gr.forth.ics.vrp.corevrp.model.RDF_Resource resrc)

### getNamespaceInfor

    public java.lang.String getNamespaceInfor()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD